Bug 241015 - irc/ircd-hybrid - Update to 8.2.26
Summary: irc/ircd-hybrid - Update to 8.2.26
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-02 14:13 UTC by Santhosh Raju
Modified: 2019-10-09 22:43 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (db)
fox: maintainer-feedback? (db)


Attachments
Patch to upgrade the ports script to support ircd-hybrid 8.2.26 builds. (1.83 KB, patch)
2019-10-02 14:13 UTC, Santhosh Raju
fox: maintainer-approval? (db)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Santhosh Raju freebsd_committer 2019-10-02 14:13:05 UTC
Created attachment 208033 [details]
Patch to upgrade the ports script to support ircd-hybrid 8.2.26 builds.

I have updated the port to the latest version 8.2.26.

Change log:

- Removed "halfops" since it is no longer a valid option in configure.

In addition to that, I added the a ${logfile} in the rc.d script since the default install was creating the /var/log/ircd folder, but the log file was not being created. I am not sure if this is the correct way to configure logging, but I am happy to change it.

Detailed change log for the update

https://github.com/ircd-hybrid/ircd-hybrid/blob/master/NEWS#L52 (and above)

Looking at the bug tracker, I also found this ticket

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228582

I was wondering if the changes can be committed along with this update.
Comment 1 Diane Bruce freebsd_committer 2019-10-07 20:34:42 UTC
Approved. I didn't notice you were a committer at first. Did you also want Maintainership? That's approved as well.
Comment 2 Santhosh Raju freebsd_committer 2019-10-08 09:21:07 UTC
Oh, that was unexpected, sure I do not mind taking ownership, thank you. 

Will update the maintainer email when I do the commit.

Do you perhaps know the status of this ticket?

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228582

And if it can be closed?

Thanks again.
Comment 3 commit-hook freebsd_committer 2019-10-09 22:40:25 UTC
A commit references this bug:

Author: fox
Date: Wed Oct  9 22:39:25 UTC 2019
New revision: 514197
URL: https://svnweb.freebsd.org/changeset/ports/514197

Log:
  irc/ircd-hyrbid - Update to 8.2.26

  - Removes "halfops" since it is no longer a valid option in configure.
  - Updated maintainer email approved by db@ (previous maintainer).
  - Adds a logfile entry to the rc.d script.

  -- Noteworthy changes in version 8.2.26 (2019-05-31)
  o) The 'general::tkline_expire_notices' configuration directive has been
     replaced with user mode 'X'. *LINE expiration notices are sent to IRC
     operators with that mode set
  o) Fixed issue with '/rehash conf' creating duplicated class entries
     instead of updating existing ones that are already in use
  o) For a full list of all changes in this release, see https://git.io/fjEbq

  -- Noteworthy changes in version 8.2.25 (2019-04-24)
  o) The 'class::number_per_ip', 'class::max_local' and 'class::max_global'
     configuration directives have been replaced with just 'class::number_per_ip_local'
     and 'class::number_per_ip_global'. The 'class::max_local' basically was
     redundant as it had the same functionality as 'class::number_per_ip'
  o) Adding RESVs with wildcards no longer requires administrator privileges
  o) The 'general::ignore_bogus_ts' configuration option has been deprecated
  o) TLSv1.1 and TLSv1.0 are no longer supported and have been disabled in
     the openssl and gnutls module
  o) Minimum supported OpenSSL version is 1.0.1f now
  o) Minimum supported GnuTLS version is 3.5.8 now
  o) The 'serverinfo::vhost' and 'serverinfo:vhost6' configuration directives have
     been deprecated. If you need to bind() a specific address you can specify one
     in the connect {} block
  o) The 'connect::vhost' configuration directive has been renamed to 'connect::bind'
  o) For a full list of all changes in this release, see https://git.io/fjRVk

  -- Noteworthy changes in version 8.2.24 (2018-04-05)
  o) Added "STATS s" to show configured pseudo {} blocks
  o) Implemented channel mode 'N' which prevents users from changing their
     nick while in a channel with that mode set
  o) Services clients are now shown with 'is a Network Service' in "WHOIS"
  o) For a full list of all changes in this release, see https://git.io/fjRVt

  -- Noteworthy changes in version 8.2.23 (2018-03-26)
  o) irc-operators are now able to see a user's resolved hostname in /whowas,
     and /whois even if the user has a fakehost/vhost
  o) RPL_WELCOME now does use the rfc2812 style nick!user@host format
  o) Removed rudimentary libgeoip support
  o) Added --enable-efence switch to allow easy linking with the
     electric fence memory debugger library
  o) "JOIN 0" is no longer supported
  o) Fixed bug where ircd would not remove RPL_WHOISOPERATOR based svstags
     when deoppering
  o) Fixed 'unknown closes' statistic in "STATS t" showing invalid values sometimes
  o) For a full list of all changes in this release, see https://git.io/fjRVq

  PR:		241015
  Approved by:	db, philip (mentor)

Changes:
  head/irc/ircd-hybrid/Makefile
  head/irc/ircd-hybrid/distinfo
  head/irc/ircd-hybrid/files/ircd-hybrid.in
Comment 4 Santhosh Raju freebsd_committer 2019-10-09 22:43:39 UTC
Closing this ticket as the updated has been committed to the repository.